Not working in FF 23.0 Rated 3 out of 5 stars

Yeah, I don't think it was implemented in Firefox 17 (it's still not default in Firefox 23).

Unfortunately, not working for me; won't allow install, says it's incompatible with my current version (@dev: should I even be putting these 'not working' messages in reviews?)

Yes, thanks for the information. The more the feedback the better :)

The install problem is a bug in Firefox: https://bugzilla.mozilla.org/show_bug.cgi?id=855651 . Versions 21+ refuse to run extensions made with Iceweasel (rebranded Firefox), which I was using when I made mine via Mozilla's 'add-on builder' website. Further updates to Firefox should solve the problem.

FF=17esr Already Implemented Rated 1 out of 5 stars

no use

Already Implemented? I don't think so.

WORKS GREAT... Rated 5 out of 5 stars

Adds a bit of convenience to my daily surfing.
Thanx.